Subject: Re: [PATCH net-next] ibmveth: Always stop tx queues during close

From: Jakub Kicinski <[email-masked]>
Date: Tue, 18 Oct 2022 11:47:29 -0700

On Mon, 17 Oct 2022 10:17:43 -0500 Nick Child wrote:
> The issue with this approach was that the hypervisor freed all of
> the devices control structures after the hcall H_FREE_LOGICAL_LAN
> was performed but the transmit queues were never stopped. So the higher
> layers in the network stack would continue transmission but any
> H_SEND_LOGICAL_LAN hcall would fail with H_PARAMETER until the
> hypervisor's structures for the device were allocated with the
> H_REGISTER_LOGICAL_LAN hcall in ibmveth_open.

Sounds like we should treat this one as a fix as well?
How far back is it safe to backport?